#!/bin/sh

#******************************************************************
#
# outarch.sh module
#
#******************************************************************
# Revision List:
#
#               1.0     12/31/2011      Initial release
#
# Please report bugs, errors, etc. 
#******************************************************************
# Output File Archive and Clean-Up Script
#
#  This utility is intended to check if bit and mcs files exist, 
#  then archive them before cleaning up the log file and result 
#  directories.
# 
#******************************************************************
PROJNAME=$1
LOGDIR=$2
OUTDIR=$3
RUNDIR=$4
SRCDIR=$5
ARCHDIR=$6

if [ -f $RUNDIR/$PROJNAME.ncd ] 
then 
	ARCH=archive_`date +%G%m%d_%I%M%p -r $RUNDIR/$PROJNAME.ncd`
else
	ARCH=archive_`date +%G%m%d_%I%M%p`
fi

echo ""
echo ""
echo "**********************************************************"

if [ -f $LOGDIR/$PROJNAME.log ] 
then 
        echo "*"
        echo "* $LOGDIR/, $OUTDIR/, and $RUNDIR/ contain files."
        echo "*"
        if [ -e $ARCHDIR/$ARCH ]
        then
                echo "*"
                echo "** Directory: $ARCHDIR/$ARCH already exists!!"
                echo "*"
                ARCH=archive_`date +%G%m%d_%I%M%p -r $RUNDIR/$PROJNAME.ncd`_A
                mkdir $ARCHDIR/$ARCH
        else
                mkdir $ARCHDIR/$ARCH
        fi
        cp -rf $LOGDIR/ $ARCHDIR/$ARCH/
        cp -rf $OUTDIR/ $ARCHDIR/$ARCH/
        cp -rf $RUNDIR/ $ARCHDIR/$ARCH/
        cp -f $SRCDIR/*.ucf $ARCHDIR/$ARCH/
        echo "**********************************************************"
        echo "*"
        echo "* Clean up log directories..."
        echo "*"
        echo "**********************************************************"
        rm -rf $LOGDIR/*
        rm -rf $OUTDIR/*
        rm -rf $RUNDIR/*
        make setup
else
        echo "*"
        echo "* $LOGDIR/, $OUTDIR/, and $RUNDIR/ are empty."
        echo "*"
fi


if [ -f ../../syn/out/$PROJNAME.edf ] 
then 
        echo "*"
        echo "* ../../syn/out/, ../../syn/log/, and ../../syn/run/ contain files."
        echo "*"
	cd ../../syn/bin;
	make clean;
	cd ../../par/bin;
else
        echo "*"
        echo "* ../../syn/out/, ../../syn/log/, and ../../syn/run/ contain files."
        echo "*"
fi

