#!/bin/sh

#******************************************************************
#
# parsetcl.sh module
#
#******************************************************************
# Source/Include File TCL Parser
#
#  This utility is intended to parse a Synplify Pro TCL file and 
#  extract the source file names with file paths for use by the 
#  Makefile. This will allow the Makefile to only re-generate the 
#  EDIF if the source files have changed.
# 
#******************************************************************
PROJECTNAME=$1

# Copy the Synplify Pro project TCL file:
cp $PROJECTNAME.tcl foo 

# Extract the source files from the Synplify Pro project TCL file:
grep "add_file -verilog" foo > tmp
grep "add_file -_include" foo >> tmp

# Remove all but source file paths.
sed -e "s/^#.*$//" \
    -e "s/\"$//" \
    -e "s/^.*unisim.v$//" \
    -e "/^$/d" \
    -e "s/add_file -verilog.*\"//" \
    -e "s/add_file -_include \"//" tmp > bar
   
cat -s bar
rm -f foo tmp bar

