#******************************************************************
#
# synhooks.tcl module
#
#******************************************************************
#
# My Company Confidential Copyright  2012
#
#******************************************************************
#
# created on:    01/10/2012 
# created by:    author
# last edit on:  $DateTime:$
# last edit by:  $Author:$
# revision:      $Revision:$
# comments:      Created.
#                
#******************************************************************
# FPGA Synthesis Scripts
#
# This TCL file copies the EDIF and NCF files from the log directory
# to the out directory.
#
#******************************************************************


# Called at the end of each run.
proc syn_on_end_run {runName run_dir implName} {

# runName:      Name of the run Ex: compile, synthesis 
# run_dir:      Current run directory.
# implName:     Implementation Name Ex:rev_1
puts "********************************************************************************************"
puts "* FPGA Synthesis Script"
puts "*"
puts "* This TCL file copies the EDIF and NCF files from the log directory to the out directory"
puts "*"
puts "********************************************************************************************"

set edffile "myfpga.edf"
set ncffile "myfpga.ncf"

puts "********************************************************************************************"
puts "*** syn_on_end_run called. Options: " 
puts "*"
puts "* run_dir: $run_dir"
puts "* run_name: $runName"
puts "* impl_name: $implName"
puts "********************************************************************************************"

# Copy to local syn out directory:
file copy -force "$run_dir/$edffile" "$run_dir/../out/$edffile" 
file copy -force "$run_dir/$ncffile" "$run_dir/../out/$ncffile" 

# Copy to par out directory:
file copy -force "$run_dir/$edffile" "$run_dir/../../par/run/$edffile" 
file copy -force "$run_dir/$ncffile" "$run_dir/../../par/run/$ncffile" 


}

